
public class Class463_Sub22 extends Class463 {

   public static final int anInt8032 = 2;
   public static final int anInt8033 = 0;
   public static final int anInt8034 = 1;
   public static final int anInt8035 = 3;
   public static final int anInt8036 = 4;


   int method7807(int var1) {
      if(this.aClass225_Sub6_5738.method13505(1794060581).method7832(-1509923033) > 1) {
         if(var1 >= -588001090) {
            ;
         }

         return 4;
      } else {
         return 2;
      }
   }

   public Class463_Sub22(int var1, Class225_Sub6 var2) {
      super(var1, var2);
   }

   public void method12984(int var1) {
      if(this.anInt5736 * -204978999 < 0 && -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-1454197328) * -1684335239;
      }

   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = -1684335239 * var1;
   }

   public Class463_Sub22(Class225_Sub6 var1) {
      super(var1);
   }

   public void method12985() {
      if(this.anInt5736 * -204978999 < 0 && -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-818412306) * -1684335239;
      }

   }

   public int method12986(byte var1) {
      return -204978999 * this.anInt5736;
   }

   int method7815() {
      return this.aClass225_Sub6_5738.method13505(1794060581).method7832(-1509923033) > 1?4:2;
   }

   int method7811(int var1) {
      return 1;
   }

   int method7813(int var1) {
      return 1;
   }

   void method7806(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public int method12987() {
      return -204978999 * this.anInt5736;
   }

   void method7810(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public void method12988() {
      if(this.anInt5736 * -204978999 < 0 && -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-643412719) * -1684335239;
      }

   }

   public void method12989() {
      if(this.anInt5736 * -204978999 < 0 && -204978999 * this.anInt5736 > 4) {
         this.anInt5736 = this.method7807(-884742287) * -1684335239;
      }

   }

   void method7814(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   int method7808(int var1, int var2) {
      return 1;
   }

   public int method12990() {
      return -204978999 * this.anInt5736;
   }
}
